curl --request POST \
--url https://{cluster}.voucherify.io/v1/loyalties/members/{memberId}/pending-points/{pendingPointsId}/balance \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '{
"points": 10
}'{
"points": 5,
"total": 16,
"object": "balance",
"related_object": {
"type": "voucher",
"id": "v_abCdEfghI1JKLMNPqRS2Tu3vWXyza4bc"
},
"operation_type": "MANUAL"
}This endpoint belongs to the legacy loyalty API (/v1/loyalties).
Voucherify will not develop new features for this API. However, critical issues may still receive fixes.
For new integrations, use Loyalty v2.
If you have questions, contact Voucherify support.
Adjusts the pending points with a given ID. You can add or subtract the number of points.
Pending points are configured as part of an earning rule with POST Create earning rule or PUT Update earning rule.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/loyalties/members/{memberId}/pending-points/{pendingPointsId}/balance \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '{
"points": 10
}'{
"points": 5,
"total": 16,
"object": "balance",
"related_object": {
"type": "voucher",
"id": "v_abCdEfghI1JKLMNPqRS2Tu3vWXyza4bc"
},
"operation_type": "MANUAL"
}Authorizations
Path Parameters
Unique loyalty card code assigned to a particular customer.
"MmFAzfDe"
Unique pending point identifier, assigned by Voucherify.
Body
Define the number of pending points to be added or subtracted.
Request body schema for POST v1/loyalties/members/{memberId}/pending-points/{pendingPointsId}/balance.
Add or subtract pending points with a given ID. A negative value subtracts the points.
Response
Returns the details about the balance adjustment of the pending points with a given ID for a loyalty card.
Response body schema for POST /loyalties/members/{memberId}/pending-points/{pendingPointsId}/balance.
The number of pending points added to or subtracted from the loyalty card.
Total number of pending points currently on a loyalty card.
The type of the object represented by JSON. Default is balance.
balance Defines the resource that is being modified.
Show child attributes
Show child attributes
The type of the operation being performed.
MANUAL Was this page helpful?

